﻿using Music.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Grouped Items Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234231

namespace Music
{
    /// <summary>
    /// A page that displays a grouped collection of items.
    /// </summary>
    public sealed partial class Categories : Music.Common.LayoutAwarePage
    {
        public Categories()
        {
            this.InitializeComponent();

            TopBar.BtnHome.Click += BtnHome_Click;
        }

        void BtnHome_Click(object sender, RoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(HubPage), "AllGroups");
        }

      

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            var CategoryDataGroups = CategoryDataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups"] = CategoryDataGroups;
        }

        private void itemGridView_ItemClick_1(object sender, ItemClickEventArgs e)
        {
            var itemId = ((CategoryDataItem)e.ClickedItem).UniqueId;
            this.Frame.Navigate(typeof(CategoryDetail), itemId);
        }
    }
}
