﻿using Music.Data;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.ApplicationSettings;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Animation;
using Windows.UI.Xaml.Navigation;

// The Item Detail Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234232

namespace Music
{
    /// <summary>
    /// A page that displays details for a single item within a group while allowing gestures to
    /// flip through other items belonging to the same group.
    /// </summary>
    public sealed partial class DetailPage : Music.Common.LayoutAwarePage
    {
        public DetailPage()
        {
            this.InitializeComponent();
            TopBar.BtnMusic.Click += BtnMusic_Click;
            TopBar.BtnHome.Click += BtnHome_Click;
            BotBar.BtnEquiv.Click += BtnEquiv_Click;
        }

        void BtnEquiv_Click(object sender, RoutedEventArgs e)
        {
            Popup.IsOpen = true;
            Popup.IsLightDismissEnabled = true;
            Popup.ChildTransitions = new TransitionCollection();
            Popup.ChildTransitions.Add(new EdgeUIThemeTransition()
            {
                Edge = (SettingsPane.Edge == SettingsEdgeLocation.Right) ?
                       EdgeTransitionLocation.Right :
                       EdgeTransitionLocation.Left
            });

        }

        
        
        void BtnMusic_Click(object sender, RoutedEventArgs e)
        {

            this.Frame.Navigate(typeof(Categories), "AllGroups");
        }

        void BtnHome_Click(object sender, RoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(HubPage), "AllGroups");
        }
        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            var RecentDataGroups = RecentDataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups3"] = RecentDataGroups;

            var RelatedDataGroups = RelatedDataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups2"] = RelatedDataGroups;


            // Allow saved page state to override the initial item to display
            if (pageState != null && pageState.ContainsKey("SelectedItem"))
            {
                navigationParameter = pageState["SelectedItem"];
            }

            var item = HubPageDataSource.GetItem((String)navigationParameter);
            this.DefaultViewModel["Group"] = item.Group;
            this.DefaultViewModel["Items"] = item.Group.Items;
            this.flipView.SelectedItem = item;           

          
        }

        /// <summary>
        /// Preserves state associated with this page in case the application is suspended or the
        /// page is discarded from the navigation cache.  Values must conform to the serialization
        /// requirements of <see cref="SuspensionManager.SessionState"/>.
        /// </summary>
        /// <param name="pageState">An empty dictionary to be populated with serializable state.</param>
        protected override void SaveState(Dictionary<String, Object> pageState)
        {
            var selectedItem = (HubPageDataItem)this.flipView.SelectedItem;
            pageState["SelectedItem"] = selectedItem.UniqueId;          
        }

        private void Grid_Tapped_1(object sender, TappedRoutedEventArgs e)
        {            
            Popup.IsOpen = false;           
        }
    }
}
