﻿using Music.Data;
using Music.EnableLiveTile;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Grouped Items Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234231

namespace Music
{
    /// <summary>
    /// A page that displays a grouped collection of items.
    /// </summary>
    public sealed partial class HubPage : Music.Common.LayoutAwarePage
    {
        public HubPage()
        {
            this.InitializeComponent();
            TopBar.BtnMusic.Click += BtnMusic_Click;            
        }

        

        void BtnMusic_Click(object sender, RoutedEventArgs e)
        {
            
            this.Frame.Navigate(typeof(Categories), "AllGroups");
        }

        

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            var HubPageDataGroups = HubPageDataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups"] = HubPageDataGroups;
            CreateLiveTile.ShowliveTile(true, "Music Template");
            var PlaylistDataGroups = PlaylistDataSource.GetGroups((String)navigationParameter);
            this.DefaultViewModel["Groups2"] = PlaylistDataGroups;
        }

        private void Header_Click(object sender, RoutedEventArgs e)
        {
            if (e == null)
                return;
            if (e.OriginalSource == null)
                return;
            Button Header = new Button();
            if (e.OriginalSource is Button)
                Header = e.OriginalSource as Button;
            if (Header.Tag.ToString() == "Group-2")
            this.Frame.Navigate(typeof(Categories), "AllGroups");

        }

        private void itemGridView_ItemClick_1(object sender, ItemClickEventArgs e)
        {
            

            if (e == null)
                return;         
            HubPageDataItem data = null;
            if (e.ClickedItem is HubPageDataItem)

                data = e.ClickedItem as HubPageDataItem;
            if (data != null && data.UniqueId.EndsWith("Group-1-Item-1"))
                return;
            if (data != null && data.UniqueId.EndsWith("Group-1-Item-2"))
                return;

            var itemId = ((HubPageDataItem)e.ClickedItem).UniqueId;
            this.Frame.Navigate(typeof(DetailPage), itemId);
        }
               
    }
}
